=== debian/control ===
Source: omega-rpg
Section: games
Priority: optional
Maintainer: Debian Games Team <pkg-games-devel@lists.alioth.debian.org>
Uploaders:
 Alexandre Detiste <tchet@debian.org>,
Standards-Version: 4.7.0
Build-Depends:
 debhelper-compat (= 13),
 libncurses-dev,
Rules-Requires-Root: binary-targets
Vcs-Browser: https://salsa.debian.org/games-team/omega-rpg
Vcs-Git: https://salsa.debian.org/games-team/omega-rpg.git
X-Style: black

Package: omega-rpg
Architecture: any
Depends:
 ${misc:Depends},
 ${shlibs:Depends},
Description: text-based roguelike game
 Omega is a complex rogue-style game of dungeon exploration. Unlike other such
 games, there are a number of ways to "win", depending on various actions
 taken during play. The ways you can get your name on the high score board
 include becoming the highest ranked head of a guild, sect, college, etc., as
 well as gaining the most points figured from possessions and experience. The
 game (via the oracle) may impose some structure on your exploration, but you
 need not follow all of the oracle's advice. There *is* a "total winner"
 status, by the way.
