=== debian/rules ===
#!/usr/bin/make -f

export DEB_BUILD_MAINT_OPTIONS = hardening=-format

%:
	dh $@

override_dh_auto_build:
	dh_auto_build -- CFLAGS="`dpkg-buildflags --get CFLAGS`" CPPFLAGS="`dpkg-buildflags --get CPPFLAGS`" LDFLAGS="`dpkg-buildflags --get LDFLAGS`"

execute_after_dh_auto_install:
	chgrp games debian/omega-rpg/usr/games/omega-rpg
	chmod 2755 debian/omega-rpg/usr/games/omega-rpg
	mkdir -p debian/omega-rpg/var/games
	mkdir -m 2775 debian/omega-rpg/var/games/omega-rpg
	chmod a+r debian/omega-rpg/usr/games/omega-rpg
	rm -f debian/omega-rpg/usr/share/games/omega-rpg/lgpl.txt
	install -D -m 644 docs/omega.6 debian/omega-rpg/usr/share/man/man6/omega-rpg.6

override_dh_fixperms:
	dh_fixperms --exclude=usr/games/omega-rpg --exclude=/var/games/omega-rpg
